/* !LIBRARY TIMINGS */
.library_timing {
    background-color: var(--primary_color);
    height: 200px;
  }
  .library_timing {
    padding: 0 5%;
  }
  .lt_left_container,
  .lt_right_container {
    width: 50%;
    flex-direction: column;
    align-items: center;
    color: var(--white_color);
  }
  .lt_left_container {
    border-right: 1px solid var(--white_color);
  }
  .lt_inner_container h1 {
    font-size: var(--primary_header);
    margin-bottom: 0.2em;
  }
  .lt_time_container {
    margin: 1em 0;
  }
  
  @media screen and (max-width: 550px) {
    .library_timing {
      flex-direction: column;
      height: 100%;
      padding-top: 1em;
    }
    .lt_left_container,
    .lt_right_container {
      width: 100%;
      align-items: flex-start;
    }
    .lt_left_container {
      border-right: 0;
      border-bottom: 1px solid var(--white_color);
    }
  }
  
  /* !ABOUT US SECTION */
  .about-us {
    align-items: flex-start;
    gap: 4em;
  }
  .au_images {
    gap: 2em;
  }
  .au_images img {
    width: 350px;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
  }
  #au_left_img {
    margin-top: 4em;
  }
  
  .au_right_container {
    margin-top: 2em;
  }
  
  .au_right_container h1 {
    font-size: var(--primary_header);
    margin-bottom: 0.2em;
    color: var(--primary_color);
  }
  
  .au_right_container h2 {
    font-size: var(--tertiary_header);
    font-weight: normal;
    color: var(--secondary_black_color);
  }
  .au_text_container {
    margin-top: 2em;
    font-size: var(--body_text);
  }
  .au_text_container p {
    margin: 1em 0;
    text-align: justify;
    text-indent: 2em;
  }
  .au_btn {
    background-color: var(--primary_color);
    color: var(--white_color);
  }
  
  @media screen and (max-width: 700px) {
    .au_right_container {
      margin-top: 0;
    }
    .about-us {
      gap: 2em;
    }
    .au_images {
      gap: 1em;
    }
  }
  
  @media screen and (max-width: 1520px) {
    .au_images img {
      width: 300px;
    }
    .au_text_container p:nth-child(2) {
      display: none;
    }
  }
  @media screen and (max-width: 1200px) {
    .about-us {
      flex-direction: column;
    }
    .au_images {
      width: 100%;
      justify-content: center;
    }
  }
  @media screen and (max-width: 640px) {
    .au_images img {
      width: 200px;
    }
  }
  @media screen and (max-width: 400px) {
    .au_images img {
      width: 140px;
    }
  }
  
  /* !WHAT WE OFFER SECTION */
  .wwo_section_header {
    text-align: center;
  }
  .wwo_container {
    margin-top: 6em;
    gap: 2em;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  
  .wwo_card {
    width: min(300px, 100%);
    text-align: center;
  }
  .wwo_card img {
    width: 80px;
    margin: 0 auto;
    display: block;
  }
  .wwo_card h2 {
    color: var(--black_color);
    margin: 0.5em 0;
  }
  .wwo_card p {
    color: var(--secondary_black_color);
  }
  @media screen and (max-width: 670px) {
    .wwo_container {
      justify-content: center;
    }
  }
  
  /* !TESTIMONIAL SECTION */
  .testimonial_section {
    background-color: rgb(22, 22, 50);
  }
  .testi_header {
    text-align: center;
  }
  .testi_header h1 {
    font-size: var(--primary_header);
    color: rgb(107, 171, 255);
  }
  .testi_header p {
    color: var(--white_color);
  }
  .testi_main_container {
    max-width: 1500px;
    margin: 0 auto;
    padding: 4em;
  }
  
  .swiper {
    padding-top: 50px;
    padding-bottom: 50px;
    margin-top: 2em;
  }
  .testi_pagination span {
    background-color: var(--white_color) !important;
  }
  .swiper-slide {
    flex-direction: column;
    border: 1px solid var(--white_color);
    background-position: center;
    background-size: cover;
    width: min(400px, 95%);
    min-height: 300px;
    height: 300px;
    margin: 0 1em;
    padding: 0.5em;
    overflow: hidden;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    position: relative;
  }
  .swiper-slide figure {
    height: 100%;
    width: 100%;
  }
  .swiper-slide figure {
    overflow: hidden;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
  }
  .swiper-slide figure img {
    width: 100%;
    height: 100%;
  }
  .yt_slide {
    border: 1px solid var(--secondary_black_color);
    height: 250px;
  }
  .client_name {
    position: absolute;
    right: 1em;
    bottom: 1em;
    font-size: var(--tertiary_header);
    margin-top: 1em;
    color: var(--primary_color);
  }
  
  .star_container {
    margin: 1em 0;
    margin-bottom: 2em;
    justify-content: center;
  }
  
  .star_container i {
    margin: 0 0.5em;
    color: var(--primary_color);
  }
  
  .client_review {
    font-size: var(--body_text);
    color: var(--white_color);
    text-align: justify;
    line-height: 1.5em;
  }
  
  .swiper-pagination-bullet {
    width: var(
      --swiper-pagination-bullet-width,
      var(--swiper-pagination-bullet-size, 12px)
    );
    height: var(
      --swiper-pagination-bullet-height,
      var(--swiper-pagination-bullet-size, 12px)
    );
  }
  
  .swiper-pagination-bullet-active {
    background: var(
      --swiper-pagination-bullet-inactive-color,
      var(--primary_color)
    );
  }
  @media screen and (max-width: 500px) {
    .testi_main_container {
      padding: 2em 0;
    }
    .swiper {
      margin-top: 0;
    }
  }
  /* !GALLERY SECTION */
  .gallery_container {
    margin: 0 auto;
    margin-top: 4em;
    display: grid;
    grid-template: repeat(4, 300px) / repeat(3, 475px);
    grid-gap: 4px;
  }
  .gallery_img_container img {
    width: 100%;
    height: 100%;
    object-position: bottom;
    object-fit: cover;
  }
  .gallery_img_container:first-child {
    grid-column: 1 / 2;
    grid-row: 1 / 4;
  }
  .gallery_img_container:nth-child(2) {
    grid-column: 2 / -1;
    grid-row: 1 / 3;
  }
  .gallery_img_container:nth-child(4) {
    grid-column: 1 / 3;
    grid-row: 4 / 5;
  }
  .gallery_img_container:nth-child(5) {
    grid-row: 3 / -1;
  }
  
  @media screen and (max-width: 1520px) {
    /* !GALLERY SECTION */
    .gallery_container {
      grid-template: repeat(4, 250px) / repeat(3, 350px);
    }
    .au_images img {
      width: 300px;
    }
    .au_text_container p:nth-child(2) {
      display: none;
    }
  }
  @media screen and (max-width: 1200px) {
    .gallery_container {
      grid-template: repeat(4, 230px) / repeat(3, 1fr);
    }
    .about-us {
      flex-direction: column;
    }
    .au_images {
      width: 100%;
      justify-content: center;
    }
  }
  @media screen and (max-width: 640px) {
    .au_images img {
      width: 170px;
    }
  }
  @media screen and (max-width: 400px) {
    .au_images img {
      width: 140px;
    }
  }
  @media screen and (max-width: 800px) {
    .gallery_container {
      grid-template: repeat(4, 120px) / repeat(2, 50%);
      margin-top: 2em;
    }
    .gallery_img_container:first-child {
      grid-column: 1 / 2;
      grid-row: 1 / 2;
    }
    .gallery_img_container:nth-child(2) {
      grid-column: 2 / -1;
      grid-row: 1 / 2;
    }
    .gallery_img_container:nth-child(4) {
      grid-column: 1 / -1;
      grid-row: 2 / 4;
    }
    .gallery_img_container:nth-child(5) {
      grid-row: 4 / -1;
    }
  }
  
  /* !<!-- !VIEW US ON YOUTUBE --> */
  .vy_header {
    text-align: center;
  }
  
  /* !BOOK YOUR SEAT NOW SECTION */
  .fno-section {
    height: 350px;
    width: 100%;
    position: relative;
    background: url(/img/main/20250103_123921.jpeg) center / cover no-repeat;
    overflow: hidden;
    background-attachment: fixed;
  }
  .fno-container {
    background-color: rgba(0, 0, 0, 0.4);
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 4;
    display: grid;
    place-items: center;
  }
  .fno-container h4 {
    font-size: var(--primary_header);
    color: white;
    font-weight: 500;
  }
  .bn_btn {
    background-color: var(--primary_color);
    margin: 0 auto;
    margin-top: 2em;
    display: block;
    width: fit-content;
    color: var(--white_color);
  }